osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

help with Openstack magnum in train


Please use fedora coreos, not coreos which is also eol now.

Sent from my iPhone

> On 8 Oct 2020, at 15:36, Robert Duncan <Robert.Duncan at ncirl.ie> wrote:
> 
> 
> Thanks Bharat, yes Fedora 29 works!!, I will give coreos a try also - however the documentation says that the heat templates and machine images are closely coupled and the coreos links are broken, do you know specifically which version or coreos for magnum train release is correct?
> 
> e.g. - this is broken link on Magnum user guide page
> http://beta.release.core-os.net/amd64-usr/current/coreos_production_openstack_image.img.bz2
> 
> and the support matrix lists coreos version 4.3.6 
> but I can't find a coreos with anything like that version now 
> 
> Rob.
> From: Bharat Kunwar <bharat at stackhpc.com>
> Sent: Thursday 8 October 2020 15:04
> To: Robert Duncan <Robert.Duncan at ncirl.ie>
> Cc: OpenStack Discuss <openstack-discuss at lists.openstack.org>
> Subject: Re: help with Openstack magnum in train
>  
> Use fedora atomic 29 if you have to but it is end of life and no longer security patched. We recommend using fedora coreos instead.
> 
> Sent from my iPhone 
> 
>>> On 8 Oct 2020, at 13:44, Robert Duncan <Robert.Duncan at ncirl.ie> wrote:
>>> 
>> 
>> Hi,
>> 
>> I have openstack train deployed by kolla-ansible and am trying to deploy a k8s cluster on Fedora Atomic 27 with magnum
>> it seems there is no podman binary in the Atomic 27 image
>>  specifically, Fedora-Atomic-27-20180419.0.x86_64.qcow2
>> 
>> 
>> I have set the label use_podman=false
>> 
>> however, the template seems to ignore that which results in this error in the heat agent log:
>> 
>> WARNING Attempt 12: Trying to install kubectl. Sleeping 5s
>> 
>> i=12
>> '[' 12 -gt 60 ']'
>> echo 'WARNING Attempt 12: Trying to install kubectl. Sleeping 5s'
>> sleep 5s
>> ssh -F /srv/magnum/.ssh/config root at localhost '/usr/bin/podman run --entrypoint /bin/bash --name install-kubectl --net host --privileged --rm --user root --volume /srv/magnum/bin:/host/srv/magnum/bin k8s.gcr.io/hyperkube:v1.15.7 -c '''cp /usr/local/bin/kubectl /host/srv/magnum/bin/kubectl''''
>> bash: /usr/bin/podman: No such file or directory
>> [fedora at test-quznqfqfa5ld-master-0 ~]$ which podman
>> /usr/bin/which: no podman in (/usr/local/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/home/fedora/.local/bin:/home/fedora/bin)
>> 
>> 
>> 
>> I have tried a later version of atomic but the dependencies are closely coupled and it seems I must use version 27 - what am I missing?
>> 
>> I'm following along with the Train documentation https://docs.openstack.org/magnum/train/install/launch-instance.html
>> 
>> and was able to deploy a docker swarm cluster.
>> 
>> 
>> 
>> thanks,
>> 
>> Rob.
>> 
>> 
>> 
>> 
>> 
>>  
>> The information contained and transmitted in this e-mail is confidential information, and is intended only for the named recipient to which it is addressed. The content of this e-mail may not have been sent with the authority of National College of Ireland. Any views or opinions presented are solely those of the author and do not necessarily represent those of National College of Ireland. If the reader of this message is not the named recipient or a person responsible for delivering it to the named recipient, you are notified that the review, dissemination, distribution, transmission, printing or copying, forwarding, or any other use of this message or any part of it, including any attachments, is strictly prohibited. If you have received this communication in error, please delete the e-mail and destroy all record of this communication. Thank you for your assistance.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.openstack.org/pipermail/openstack-discuss/attachments/20201009/ef3504e3/attachment.html>